# danger-puppet_lint

[![Build Status](https://travis-ci.org/IntrepidPursuits/danger-puppet_lint.svg?branch=master)](https://travis-ci.org/IntrepidPursuits/danger-puppet_lint)
[![Coverage Status](https://coveralls.io/repos/github/IntrepidPursuits/danger-puppet_lint/badge.svg?branch=master)](https://coveralls.io/github/IntrepidPursuits/danger-puppet_lint?branch=master)
![MIT License](https://img.shields.io/badge/license-MIT-blue.svg)

A [Danger](http://danger.systems/) plugin that shows the static analysis output generated by [Puppet-Lint](https://puppet-lint.com).

To use this plugin, you need to generate a report file using [Puppet-Lint](https://puppet-lint.com) for this plugin to read.


## Installation

    $ gem install danger-puppet_lint

## Usage

Somewhere in your build process, call puppet-lint and pipe it's output into a report file.

    puppet-lint ./ > puppet.report

At a minimum, add this line to your `Dangerfile`:

    danger-puppet_lint.report 'puppet.report'

You can also set a different project root if you need to

    # Set a different project root
    danger-puppet_lint.project_root = 'MyProject/NewRoot/'

## Development

1. Clone this repo
2. Run `bundle install` to setup dependencies.
3. Run `bundle exec rake spec` to run the tests.
4. Use `bundle exec guard` to automatically have tests run as you make changes.
5. Make your changes.
